Pinto::Schema::Result::Stack(3pm)

NAME
Pinto::Schema::Result::Stack - Represents a named set of Packages

VERSION
version 0.097

METHODS

  get_distribution( spec => $dist_spec )
Given a Pinto::PackageSpec, returns the Pinto::Schema::Result::Distribution which contains the package with the same name as the spec and the same or higher version as the spec. Returns nothing if no such distribution is found in this stack.

  get_distribution( spec => $pkg_spec )
Given a Pinto::DistributionSpec, returns the Pinto::Schema::Result::Distribution from this stack with the same author id and archive attributes as the spec. Returns nothing if no such distribution is found in this stack.

You can also pass a "cache" argument that must be a reference to a hash. It will be used to cache results so that repeated calls to "get_distribution" require fewer trips to the database. It is up to you to decide when to expire the cache.

NAME
Pinto::Schema::Result::Stack

TABLE: "stack"

ACCESSORS

  id
  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0

  name
  data_type: 'text'
  is_nullable: 0

  is_default
  data_type: 'boolean'
  is_nullable: 0

  is_locked
  data_type: 'boolean'
  is_nullable: 0

  properties
  data_type: 'text'
  is_nullable: 0

  head
  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

PRIMARY KEY

•   "id"

UNIQUE CONSTRAINTS

  "name_unique"

•   "name"

RELATIONS

  head
Type: belongs_to

Related object: Pinto::Schema::Result::Revision

Moose ROLES APPLIED

•   Pinto::Role::Schema::Result

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.